@extends('admin::curd.index')
@section('heading')
<i class="fa fa-file-text-o"></i> {!! trans('return::return.name') !!} <small> {!! trans('app.manage') !!} {!! trans('return::return.names') !!}</small>
@stop

@section('title')
{!! trans('return::return.names') !!}
@stop

@section('breadcrumb')
<ol class="breadcrumb">
    <li><a href="{!! trans_url('admin') !!}"><i class="fa fa-dashboard"></i> {!! trans('app.home') !!} </a></li>
    <li class="active">{!! trans('return::return.names') !!}</li>
</ol>
@stop

@section('entry')
<div id='return-return-entry'>
</div>
@stop

@section('tools')
@stop

@section('content')
<table id="return-return-list" class="table table-striped data-table">
    <thead class="list_head">
        <th>{!! trans('return::return.label.order_id')!!}</th>
                    <th>{!! trans('return::return.label.product_id')!!}</th>
                    <th>{!! trans('return::return.label.customer_id')!!}</th>
                    <th>{!! trans('return::return.label.return_reason_id')!!}</th>
                    <th>{!! trans('return::return.label.return_action_id')!!}</th>
                    <th>{!! trans('return::return.label.return_status_id')!!}</th>
                    <th>{!! trans('return::return.label.comment')!!}</th>
                    <th>{!! trans('return::return.label.date_ordered')!!}</th>
                    <th>{!! trans('return::return.label.date_added')!!}</th>
                    <th>{!! trans('return::return.label.date_modified')!!}</th>
                    <th>{!! trans('return::return.label.status')!!}</th>
                    <th>{!! trans('return::return.label.created_at')!!}</th>
                    <th>{!! trans('return::return.label.updated_at')!!}</th>
    </thead>
    <thead  class="search_bar">
        <th>{!! Form::text('search[order_id]')->raw()!!}</th>
                    <th>{!! Form::text('search[product_id]')->raw()!!}</th>
                    <th>{!! Form::text('search[customer_id]')->raw()!!}</th>
                    <th>{!! Form::text('search[return_reason_id]')->raw()!!}</th>
                    <th>{!! Form::text('search[return_action_id]')->raw()!!}</th>
                    <th>{!! Form::text('search[return_status_id]')->raw()!!}</th>
                    <th>{!! Form::text('search[comment]')->raw()!!}</th>
                    <th>{!! Form::text('search[date_ordered]')->raw()!!}</th>
                    <th>{!! Form::text('search[date_added]')->raw()!!}</th>
                    <th>{!! Form::text('search[date_modified]')->raw()!!}</th>
                    <th>{!! Form::text('date[status]')->raw()!!}</th>
                    <th>{!! Form::text('date[created_at]')->raw()!!}</th>
                    <th>{!! Form::text('date[updated_at]')->raw()!!}</th>
    </thead>
</table>
@stop

@section('script')
<script type="text/javascript">

var oTable;
$(document).ready(function(){
    app.load('#return-return-entry', '{!!trans_url('admin/return/return/0')!!}');
    oTable = $('#return-return-list').dataTable( {
        "bProcessing": true,
        "sDom": 'R<>rt<ilp><"clear">',
        "bServerSide": true,
        "sAjaxSource": '{!! trans_url('/admin/return/return') !!}',
        "fnServerData" : function ( sSource, aoData, fnCallback ) {

            $('#return-return-list .search_bar input, #return-return-list .search_bar select').each(
                function(){
                    aoData.push( { 'name' : $(this).attr('name'), 'value' : $(this).val() } );
                }
            );
            app.dataTable(aoData);
            $.ajax({
                'dataType'  : 'json',
                'data'      : aoData,
                'type'      : 'GET',
                'url'       : sSource,
                'success'   : fnCallback
            });
        },

        "columns": [
            {data :'order_id'},
                    {data :'product_id'},
                    {data :'customer_id'},
                    {data :'return_reason_id'},
                    {data :'return_action_id'},
                    {data :'return_status_id'},
                    {data :'comment'},
                    {data :'date_ordered'},
                    {data :'date_added'},
                    {data :'date_modified'},
                {data :'status'},
            {data :'created_at'},
            {data :'updated_at'},
        ],
        "pageLength": 25
    });

    $('#return-return-list tbody').on( 'click', 'tr', function () {

        oTable.$('tr.selected').removeClass('selected');
        $(this).addClass('selected');

        var d = $('#return-return-list').DataTable().row( this ).data();

        $('#return-return-entry').load('{!!trans_url('admin/return/return')!!}' + '/' + d.id);
    });

    $("#return-return-list .search_bar input, #return-return-list .search_bar select").on('keyup select', function (e) {
        e.preventDefault();
        console.log(e.keyCode);
        if (e.keyCode == 13 || e.keyCode == 9) {
            oTable.api().draw();
        }
    });
});
</script>
@stop

@section('style')
@stop

