<div class="content">
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="header with-sub" data-background-color="red">
                        <div class="row">
                            <div class="col-sm-8 title-main">
                                <i class="pe-7s-display2"></i>
                                <h4 class="title">{!! trans('return::return.title.user') !!}</h4>
                                <p class="sub-title">{!! trans('return::return.title.sub.user') !!}</p>
                            </div>
                            <div class="col-sm-4">
                                <div class="header-form">
                                    {!!Form::open()
                                   ->method('GET')
                                   ->class('form pn')
                                   ->action(trans_url(get_guard('url').'/return/return'))!!}
                                    <div class="form-group form-white mn">
                                      {!!Form::text('search')->type('text')->placeholder('Search')->raw()!!}
                                    </div>
                                    <button type="submit" class="btn btn-icon btn-round btn-white btn-raised search-btn"><i class="fa fa-search"></i></button>
                                    {!! Form::close()!!}
                                    <a href="{!!trans_url(get_guard('url').'/return/return/create')!!}" rel="tooltip" class="btn btn-white btn-round btn-simple btn-icon pull-right add-new" data-original-title="" title="">
                                        <i class="fa fa-plus-circle"></i>
                                    </a>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="content table-responsive table-full-width">
                        @include('public::notifications')
                        <table class="table table-bigboy">
                            <thead>
                                <tr>
                                    <th class="text-center">Image</th>
                                    <th>{!! trans('return::return.label.order_id')!!}</th>
                    <th>{!! trans('return::return.label.product_id')!!}</th>
                    <th>{!! trans('return::return.label.customer_id')!!}</th>
                    <th>{!! trans('return::return.label.return_reason_id')!!}</th>
                    <th>{!! trans('return::return.label.return_action_id')!!}</th>
                    <th>{!! trans('return::return.label.return_status_id')!!}</th>
                    <th>{!! trans('return::return.label.comment')!!}</th>
                    <th>{!! trans('return::return.label.date_ordered')!!}</th>
                    <th>{!! trans('return::return.label.date_added')!!}</th>
                    <th>{!! trans('return::return.label.date_modified')!!}</th>
                    <th>{!! trans('return::return.label.status')!!}</th>
                    <th>{!! trans('return::return.label.created_at')!!}</th>
                    <th>{!! trans('return::return.label.updated_at')!!}</th>
                                    <th></th>
                                </tr>
                            </thead>
                            <tbody>
                                @forelse($returns as $return)
                                <tr>
                                    <td>
                                        <div class="img-container">
                                            <a href="{{trans_url('return')}}/{{$return->getPublickey()}}">
                                              <img alt="" class="img-responsive" src="{!!url($return->defaultImage('sm','images'))!!}">
                                            </a>
                                        </div>
                                    </td>
                                    <td>{{ $return->order_id }}</td>
                    <td>{{ $return->product_id }}</td>
                    <td>{{ $return->customer_id }}</td>
                    <td>{{ $return->return_reason_id }}</td>
                    <td>{{ $return->return_action_id }}</td>
                    <td>{{ $return->return_status_id }}</td>
                    <td>{{ $return->comment }}</td>
                    <td>{{ $return->date_ordered }}</td>
                    <td>{{ $return->date_added }}</td>
                    <td>{{ $return->date_modified }}</td>
                                    <td class="td-actions">
                                        <a href="{{trans_url('return')}}/{!!$return->getRouteKey()!!}" rel="tooltip" data-toggle="tooltip" data-placement="top" title="View Return" class="btn btn-info btn-simple">
                                            <i class="material-icons">panorama</i>
                                        </a>
                                        <a href="{!! trans_url(get_guard('url').'/return/return') !!}/{!! $return->getRouteKey() !!}/edit" rel="tooltip" data-toggle="tooltip" data-placement="top" title="Edit Return" class="btn btn-success btn-simple">
                                            <i class="material-icons">edit</i>
                                        </a>
                                        <a rel="tooltip" data-toggle="tooltip" data-placement="top" title="Remove Return" class="btn btn-danger btn-simple" data-action="DELETE" data-href="{!! trans_url(get_guard('url').'/return/return') !!}/{!! $return->getRouteKey() !!}" data-remove="{!! $return->getRouteKey() !!}">
                                            <i class="material-icons">close</i>
                                        </a>
                                    </td>
                                </tr>
                                @empty
                                <tr>
                                    <td><h4>No returns found.</h4></td>
                                </tr>
                                @endif
                                
                            </tbody>
                        </table>
                    </div>
                    <div class="footer">
                        {{$returns->links()}}
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>