<?php

namespace Laracart\Return\Http\Controllers;

use App\Http\Controllers\PublicController as BaseController;
use Laracart\Return\Interfaces\ReturnRepositoryInterface;

class ReturnPublicController extends BaseController
{
    // use ReturnWorkflow;

    /**
     * Constructor.
     *
     * @param type \Laracart\Return\Interfaces\ReturnRepositoryInterface $return
     *
     * @return type
     */
    public function __construct(ReturnRepositoryInterface $return)
    {
        $this->repository = $return;
        parent::__construct();
    }

    /**
     * Show return's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $returns = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();

        return $this->theme->of('return::public.return.index', compact('returns'))->render();
    }

    /**
     * Show return.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $return = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->theme->of('return::public.return.show', compact('return'))->render();
    }

}
