<?php

namespace Laracart\Return\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Return policy
        \Laracart\Return\Models\Return::class => \Laracart\Return\Policies\ReturnPolicy::class,
// Bind ReturnReason policy
        \Laracart\Return\Models\ReturnReason::class => \Laracart\Return\Policies\ReturnReasonPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
