<?php

namespace Laracart\Return\Providers;

use Litepie\Contracts\Workflow\Workflow as WorkflowContract;
use Litepie\Foundation\Support\Providers\WorkflowServiceProvider as ServiceProvider;

class WorkflowServiceProvider extends ServiceProvider
{
    /**
     * The validators mappings for the package.
     *
     * @var array
     */
    protected $validators = [
        // Bind Return validator
        \Laracart\Return\Models\Return::class => \Laracart\Return\Workflow\ReturnValidator::class,

        // Bind ReturnReason validator
        \Laracart\Return\Models\ReturnReason::class => \Laracart\Return\Workflow\ReturnReasonValidator::class,
    ];

    /**
     * The actions mappings for the package.
     *
     * @var array
     */
    protected $actions = [
        // Bind Return actions
        \Laracart\Return\Models\Return::class => \Laracart\Return\Workflow\ReturnAction::class,

        // Bind ReturnReason actions
        \Laracart\Return\Models\ReturnReason::class => \Laracart\Return\Workflow\ReturnReasonAction::class,
    ];

    /**
     * The notifiers mappings for the package.
     *
     * @var array
     */
    protected $notifiers = [
       // Bind Return notifiers
        \Laracart\Return\Models\Return::class => \Laracart\Return\Workflow\ReturnNotifier::class,

        // Bind ReturnReason notifiers
        \Laracart\Return\Models\ReturnReason::class => \Laracart\Return\Workflow\ReturnReasonNotifier::class,
    ];

    /**
     * Register any package workflow validation services.
     *
     * @param \Litepie\Contracts\Workflow\Workflow $workflow
     *
     * @return void
     */
    public function boot(WorkflowContract $workflow)
    {
        parent::registerValidators($workflow);
        parent::registerActions($workflow);
        parent::registerNotifiers($workflow);
    }
}
