<?php

namespace Laracart\Return\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ReturnItemTransformer extends TransformerAbstract
{
    public function transform(\Laracart\Return\Models\Return $return)
    {
        return [
            'id'                => $return->getRouteKey(),
            'return_id'         => $return->return_id,
            'order_id'          => $return->order_id,
            'product_id'        => $return->product_id,
            'customer_id'       => $return->customer_id,
            'return_reason_id'  => $return->return_reason_id,
            'return_action_id'  => $return->return_action_id,
            'return_status_id'  => $return->return_status_id,
            'comment'           => $return->comment,
            'date_ordered'      => $return->date_ordered,
            'date_added'        => $return->date_added,
            'date_modified'     => $return->date_modified,
            'status'            => trans('app.'.$return->status),
            'created_at'        => format_date($return->created_at),
            'updated_at'        => format_date($return->updated_at),
        ];
    }
}