<?php

namespace Laracart\Return\Workflow;

use Laracart\Return\Models\Return;
use Laracart\Return\Notifications\Return as ReturnNotifyer;
use Notification;

class ReturnNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Return $return
     *
     * @return void
     */
    public function complete(Return $return)
    {
        return Notification::send($return->user, new ReturnNotifyer($return, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Return $return
     *
     * @return void
     */
    public function verify(Return $return)
    {
        return Notification::send($return->user, new ReturnNotifyer($return, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Return $return
     *
     * @return void
     */
    public function approve(Return $return)
    {
        return Notification::send($return->user, new ReturnNotifyer($return, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Return $return
     *
     * @return void
     */
    public function publish(Return $return)
    {
        return Notification::send($return->user, new ReturnNotifyer($return, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Return $return
     *
     * @return void
     */
    public function archive(Return $return)
    {
        return Notification::send($return->user, new ReturnNotifyer($return, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Return $return
     *
     * @return void
     */
    public function unpublish(Return $return)
    {
        return Notification::send($return->user, new ReturnNotifyer($return, 'unpublish'));;

    }
}
